Simplify build script

This commit is contained in:
sin 2014-02-21 16:26:54 +00:00
parent e62540363c
commit 0e89de6775

20
build
View File

@ -26,24 +26,24 @@ install() {
. $1
(
if ! fetch; then
fetch || {
echo "Failed to fetch $1" >> "$top/morpheus.log"
exit 1
fi
if ! unpack; then
}
unpack || {
echo "Failed to unpack $1" >> "$top/morpheus.log"
exit 1
fi
if ! patch; then
}
patch || {
echo "Failed to patch $1" >> "$top/morpheus.log"
exit 1
fi
if ! build; then
}
build || {
echo "Failed to build $1" >> "$top/morpheus.log"
exit 1
fi
if ! install; then
}
install || {
echo "Failed to install $1" >> "$top/morpheus.log"
exit 1
fi
}
)